## org.hibernate.testing.junit
Class AbstractClassLoaderIsolatedTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.hibernate.testing.junit.UnitTestCase
                  org.hibernate.testing.junit.AbstractClassLoaderIsolatedTestCase

All Implemented Interfaces:
  junit.framework.Test

    public abstract class AbstractClassLoaderIsolatedTestCase

extends UnitTestCase

A specialized TestCase for running tests in an isolated class-loader

Author:
  Steve Ebersole

Constructor Summary
`AbstractClassLoaderIsolatedTestCase(String string)`

Method Summary
`protected abstract ClassLoader` `buildIsolatedClassLoader(ClassLoader parent)`
`protected abstract void` `releaseIsolatedClassLoader(ClassLoader isolatedLoader)`
`protected void` `setUp()`
`protected void` `tearDown()`

Methods inherited from class org.hibernate.testing.junit.UnitTestCase
`assertClassAssignability, assertElementTypeAssignability, createFailureExpectedSuite, fullTestName, reportSkip, runBare, skipExpectedFailure`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractClassLoaderIsolatedTestCase

    public AbstractClassLoaderIsolatedTestCase(String string)

Method Detail

### setUp

    protected void setUp()
                  throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### tearDown

    protected void tearDown()
                     throws Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### buildIsolatedClassLoader

    protected abstract ClassLoader buildIsolatedClassLoader(ClassLoader parent)

### releaseIsolatedClassLoader

    protected abstract void releaseIsolatedClassLoader(ClassLoader isolatedLoader)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.